%define name rpmdrake
%define version 1.3
%define release 103mdk

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Source0: %{name}-%{version}.tar.bz2
Summary: A graphical front end for installing packages
Requires: urpmi >= 1.3-36mdk, usermode >= 1.37-3mdk, curl-lib, grpmi >= 8.0-9mdk
BuildRequires: libbzip2-devel libgtk+mdk0.1_6-devel, curl-devel, doxygen rpm-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Group: System/Configuration/Packaging
Obsoletes: MandrakeUpdate

%description
rpmdrake is an apt-alike tool. It also handles packages on more than one cdrom,
asking you the needed one.

It is a graphical front-end to urpmi/gurpmi.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
#make prefix=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/sbin/
cp rpmdrake rpminst/rpminst $RPM_BUILD_ROOT%{_prefix}/sbin/
cp rpmdrake $RPM_BUILD_ROOT%{_prefix}/sbin/MandrakeUpdate
mkdir -p $RPM_BUILD_ROOT/var/lib/urpmi/
cp compssUsers.flat $RPM_BUILD_ROOT/var/lib/urpmi/
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp readconfig.pl $RPM_BUILD_ROOT%{_bindir}/
cp rpmdrake_change_ignore.pl $RPM_BUILD_ROOT%{_bindir}/
cp rpmdrake-remove-and-add-media.pl $RPM_BUILD_ROOT%{_bindir}/

# the pam things
ln -sf /usr/bin/consolehelper ${RPM_BUILD_ROOT}%{_bindir}/rpmdrake
ln -sf /usr/bin/consolehelper ${RPM_BUILD_ROOT}%{_bindir}/rpminst
ln -sf /usr/bin/consolehelper ${RPM_BUILD_ROOT}%{_bindir}/MandrakeUpdate
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
cp pam/pam.rpmdrake-auth $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/rpmdrake
cp pam/apps.rpmdrake-auth  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/rpmdrake
cp pam/pam.rpminst-auth $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/rpminst
cp pam/apps.rpminst-auth  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/rpminst
cp pam/pam.mandrakeupdate $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/mandrakeupdate
cp pam/apps.MandrakeUpdate $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/MandrakeUpdate

(
  cd po
  make install prefix=$RPM_BUILD_ROOT
)    

%{find_lang} %{name}

#install menu & mimes-types
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(rpmdrake):\
needs="x11"\
section="Configuration/Packaging"\
title="Software Manager"\
longtitle="A graphical front end for installing packages"\
command="rpmdrake"\
icon="rpmdrake.xpm"

?package(rpmdrake): needs="X11" icon="mandrakeupdate.xpm" \
section="Configuration/Packaging" \
title="MandrakeUpdate" longtitle="Download Mandrake security updates" \
command="MandrakeUpdate"

?package(rpmdrake):\
needs="kde" \
section=".hidden" \
title="Software installer" \
longtitle="A graphical front end for installing packages" \
command="rpminst --files" \
mimetypes="application/x-rpm" accept_url="false" \
multiple_files="true" \
kde_opt="\\nInitialPreference=9\\n" \
icon="rpmdrake.xpm"

?package(rpmdrake):\
needs="gnome" \
section=".hidden" \
title="Software installer" \
longtitle="A graphical front end for installing packages" \
command="rpminst --files" \
mimetypes="application/x-rpm" accept_url="false" \
multiple_files="true" \
icon="rpmdrake.xpm"
EOF

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
cp pixmaps/mandrakeupdate16.xpm $RPM_BUILD_ROOT%{_miconsdir}/mandrakeupdate.xpm
cp pixmaps/mandrakeupdate32.xpm $RPM_BUILD_ROOT%{_iconsdir}/mandrakeupdate.xpm
cp pixmaps/mandrakeupdate48.xpm $RPM_BUILD_ROOT%{_liconsdir}/mandrakeupdate.xpm
cp pixmaps/rpmdrake16.xpm $RPM_BUILD_ROOT%{_miconsdir}/rpmdrake.xpm
cp pixmaps/rpmdrake32.xpm $RPM_BUILD_ROOT%{_iconsdir}/rpmdrake.xpm
cp pixmaps/rpmdrake48.xpm $RPM_BUILD_ROOT%{_liconsdir}/rpmdrake.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/rpm*
%{_bindir}/MandrakeUpdate
%{_prefix}/sbin/rpm*
%{_prefix}/sbin/MandrakeUpdate
%{_bindir}/readconfig.pl
%{_bindir}/rpmdrake_change_ignore.pl
%{_bindir}/rpmdrake-remove-and-add-media.pl
%{_menudir}/*
%config(noreplace) %{_sysconfdir}/pam.d/rpmdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/rpmdrake
%config(noreplace) %{_sysconfdir}/pam.d/rpminst
%config(noreplace) %{_sysconfdir}/security/console.apps/rpminst
%config(noreplace) %{_sysconfdir}/pam.d/mandrakeupdate
%config(noreplace) %{_sysconfdir}/security/console.apps/MandrakeUpdate
/var/lib/urpmi/compssUsers.flat
%{_miconsdir}/rpmdrake.xpm
%{_iconsdir}/rpmdrake.xpm
%{_liconsdir}/rpmdrake.xpm
%{_miconsdir}/mandrakeupdate.xpm
%{_iconsdir}/mandrakeupdate.xpm
%{_liconsdir}/mandrakeupdate.xpm

%changelog
* Tue Sep 25 2001 DindinX <odin@mandrakesoft.com> 1.3-103mdk
- *really* use the update source if available.

* Tue Sep 25 2001 DindinX <odin@mandrakesoft.com> 1.3-102mdk
- s/clear_url/url/

* Tue Sep 25 2001 DindinX <odin@mandrakesoft.com> 1.3-101mdk
- use the update source if available.

* Tue Sep 25 2001 DindinX <odin@mandrakesoft.com> 1.3-100mdk
- fix nasty bug in package.c

* Mon Sep 24 2001 DindinX <odin@mandrakesoft.com> 1.3-99mdk
- hopfully fix proxy support.

* Mon Sep 24 2001 DindinX <odin@mandrakesoft.com> 1.3-98mdk
- minor bugfix & code cleanup

* Mon Sep 24 2001 DindinX <odin@mandrakesoft.com> 1.3-97mdk
- added icons for rpmdrake (were previously in mandrake_desk)

* Fri Sep 21 2001 DindinX <odin@mandrakesoft.com> 1.3-96mdk
- utf8 support's back
- updated compssUsers.flat file

* Fri Sep 21 2001 DindinX <odin@mandrakesoft.com> 1.3-95mdk
- utf8 support's back
- updated compssUsers.flat file

* Thu Sep 20 2001 DindinX <odin@mandrakesoft.com> 1.3-94mdk
- bugfixes (mostly reported by Yves Bailly)
- updated po

* Mon Sep 17 2001 DindinX <odin@mandrakesoft.com> 1.3-93mdk
- Fix the MandrakeUpdate pam (thanks to Fred Crozat)

* Mon Sep 17 2001 DindinX <odin@mandrakesoft.com> 1.3-92mdk
- different rpminst fixes
- fix mimetypes (thanks to Fred Crozat)

* Thu Sep 13 2001 DindinX <odin@mandrakesoft.com> 1.3-91mdk
- bugfixes
- updated po.

* Tue Sep 11 2001 DindinX <odin@mandrakesoft.com> 1.3-90mdk
- Source parameters editing

* Mon Sep 10 2001 DindinX <odin@mandrakesoft.com> 1.3-89mdk
- use much less memory.
- small cosmetic changes.
- main.c: don't include "kernel*" packages in installable lists.

* Mon Sep 10 2001 DindinX <odin@mandrakesoft.com> 1.3-88mdk
- fix the mandrakeupdate mode.
- updated po.

* Fri Sep  7 2001 DindinX <odin@mandrakesoft.com> 1.3-87mdk
- let the user choose which source he wants to update.
- updated po.

* Wed Sep  5 2001 DindinX <odin@mandrakesoft.com> 1.3-86mdk
- support for logdrake.
- unselecting a source now works as expected.
- updated po.

* Tue Sep  4 2001 DindinX <odin@mandrakesoft.com> 1.3-85mdk
- hopeully fix the rpminst problem

* Thu Aug 30 2001 DindinX <odin@mandrakesoft.com> 1.3-84mdk
- small fix

* Thu Aug 30 2001 DindinX <odin@mandrakesoft.com> 1.3-83mdk
- snapshot

* Wed Aug 29 2001 DindinX <odin@mandrakesoft.com> 1.3-82mdk
- fix the date in the changelog.

* Wed Aug 29 2001 DindinX <odin@mandrakesoft.com> 1.3-81mdk
- the MU wizard should now work.

* Fri Aug 24 2001 DindinX <odin@mandrakesoft.com> 1.3-80mdk
-- bugfixes release.

* Thu Aug 23 2001 DindinX <odin@mandrakesoft.com> 1.3-79mdk
- snapshot

* Fri Aug 17 2001 DindinX <odin@mandrakesoft.com> 1.3-78mdk
- uninstalling wizard is here.
- bugfixes.

* Mon Aug 13 2001 DindinX <odin@mandrakesoft.com> 1.3-77mdk
- bugfixes release.

* Fri Jul 20 2001 DindinX <odin@mandrakesoft.com> 1.3-76mdk
- last release before vacations.

* Wed Jul 18 2001 DindinX <odin@mandrakesoft.com> 1.3-75mdk
- rebuild with new rpm libs.

* Mon Jul 16 2001 DindinX <odin@mandrakesoft.com> 1.3-74mdk
- snapshot (bugfixes release)

* Thu Jul 12 2001 DindinX <odin@mandrakesoft.com> 1.3-73mdk
- hopefully fixed the "rpmdrake installs nothing" bug. Please test.

* Wed Jul 11 2001 DindinX <odin@mandrakesoft.com> 1.3-72mdk
- bugfixes.

* Sun Jul 08 2001 Stefan van der Eijk <stefan@eijk.nu> 1.3-71mdk
- BuildRequires: libbzip2-devel
- BuildRequires: rpm-devel

* Thu Jul  5 2001 Dindinx <odin@mandrakesoft.com> 1.3-70mdk
- rebuild with new libs.

* Wed Jul  4 2001 Dindinx <odin@mandrakesoft.com> 1.3-69mdk
- work around some rpmlib bugs?

* Mon Jul  2 2001 Dindinx <odin@mandrakesoft.com> 1.3-68mdk
- build in a new environment.

* Fri Jun 29 2001 Dindinx <odin@mandrakesoft.com> 1.3-67mdk
- fix buildrequires

* Fri Jun 29 2001 Dindinx <odin@mandrakesoft.com> 1.3-66mdk
- development release

* Fri Jun 15 2001 Dindinx <odin@mandrakesoft.com> 1.3-65mdk
- rebuild...

* Fri Jun 15 2001 Dindinx <odin@mandrakesoft.com> 1.3-64mdk
- bugfixes release. (some reported by Fred Crozat)

* Wed Jun 13 2001 Dindinx <odin@mandrakesoft.com> 1.3-63mdk
- rebuild, with rpmdb

* Wed Jun 13 2001 Dindinx <odin@mandrakesoft.com> 1.3-62mdk
- rebuild, just for fun...

* Wed Jun 13 2001 Dindinx <odin@mandrakesoft.com> 1.3-61mdk
- some more source reorganisation
- behave nicely when compssUsers.flat isn't find
- rebuild with new rpm.

* Fri Jun  1 2001 Dindinx <odin@mandrakesoft.com> 1.3-60mdk
- implemented search by file for installed packages
- source reorganisation

* Tue May 29 2001 Dindinx <odin@mandrakesoft.com> 1.3-59mdk
- implemented search by file for installable packages

* Tue May 22 2001 Dindinx <odin@mandrakesoft.com> 1.3-58mdk
- added a dependancy upon grpmi >= 8.0-9mdk, to fully support proxy
- added support for rpms anywhere on a CD.

* Mon May 21 2001 Dindinx <odin@mandrakesoft.com> 1.3-57mdk
- minors fixes
- better error handling during source addition

* Fri May 11 2001 Dindinx <odin@mandrakesoft.com> 1.3-56mdk
- use TMPDIR when needed
- some code cleanup
- small UI improvements
- new algo for installed packages
- fixed "bad format" messages

* Wed May  2 2001 DindinX <odin@mandrakesoft.com> 1.3-55mdk
- handle descriptions file

* Fri Apr 27 2001 DindinX <odin@mandrakesoft.com> 1.3-54mdk
- added support for proxies

* Fri Apr 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3-53mdk
- rebuilt for libcurl2

* Wed Apr 25 2001 DindinX <odin@mandrakesoft.com> 1.3-52mdk
- snapshot.

* Thu Apr 19 2001 DindinX <odin@mandrakesoft.com> 1.3-51mdk
- cleanups

* Wed Apr 18 2001 DindinX <odin@mandrakesoft.com> 1.3-50mdk
- fix a post-uninstall possible segfault (reported by gc)

* Tue Apr 17 2001 DindinX <odin@mandrakesoft.com> 1.3-49mdk
- minors fixes.

* Sat Apr 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3-48mdk
- updated po and corrected typo (Pablo)
- don't fallback to user

* Fri Apr 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3-47mdk
- corrected menu entry once again
- updated po

* Fri Apr 13 2001 DindinX <odin@mandrakesoft.com> 1.3-46mdk
- updated po
- better error handling

* Thu Apr 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3-45mdk
- fixed menu entry for konqueror
- fixed dialog between rpminst and grpmi

* Thu Apr 12 2001 DindinX <odin@mandrakesoft.com> 1.3-44mdk
- small fixes
- better i18n in rpminst
- better gnome integration

* Tue Apr 10 2001 DindinX <odin@mandrakesoft.com> 1.3-43mdk
- snapshot

* Mon Apr  9 2001 DindinX <odin@mandrakesoft.com> 1.3-42mdk
- bugfixes release

* Fri Apr  6 2001 DindinX <odin@mandrakesoft.com> 1.3-41mdk
- Corrected changelog date(!)

* Thu Apr  5 2001 DindinX <odin@mandrakesoft.com> 1.3-40mdk
- small UI updates

* Thu Apr  5 2001 DindinX <odin@mandrakesoft.com> 1.3-39mdk
- bugfixes release

* Thu Apr  5 2001 DindinX <odin@mandrakesoft.com> 1.3-38mdk
- include po files at the right place

* Thu Apr  5 2001 DindinX <odin@mandrakesoft.com> 1.3-37mdk
- include the po files

* Wed Apr  4 2001 DindinX <odin@mandrakesoft.com> 1.3-36mdk
- Added the Obsoletes: MandrakeUpdate tag

* Wed Apr  4 2001 DindinX <odin@mandrakesoft.com> 1.3-35mdk
- added icons for mandrakeupdate
- added MandrakeCampus & MandrakeExpert menu entries
- updated po

* Tue Apr  3 2001 DindinX <odin@mandrakesoft.com> 1.3-34mdk
- today's snapshot

* Mon Apr  2 2001 DindinX <odin@mandrakesoft.com> 1.3-33mdk
- once again.

* Mon Apr  2 2001 DindinX <odin@mandrakesoft.com> 1.3-32mdk
- rebuilt again. It's getting heavy.

* Mon Apr  2 2001 DindinX <odin@mandrakesoft.com> 1.3-31mdk
- rebuilt again...

* Mon Apr  2 2001 DindinX <odin@mandrakesoft.com> 1.3-30mdk
- rebuilt. Grr 'make rpm' doesnot allow any mistake!

* Mon Apr  2 2001 DindinX <odin@mandrakesoft.com> 1.3-29mdk
- snapshot
- updated po
- mimes types

* Thu Mar 29 2001 DindinX <odin@mandrakesoft.com> 1.3-28mdk
- just a rebuild (don't ask me)

* Thu Mar 29 2001 DindinX <odin@mandrakesoft.com> 1.3-27mdk
- added MandrakeUpdate menu & pamification

* Thu Mar 29 2001 DindinX <odin@mandrakesoft.com> 1.3-26mdk
- new snapshot

* Thu Mar 29 2001 DindinX <odin@mandrakesoft.com> 1.3-25mdk
- new snapshot

* Wed Mar 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3-24mdk
- rpminst fixes

* Wed Mar 28 2001 DindinX <odin@mandrakesoft.com> 1.3-23mdk
- new snapshot

* Mon Mar 26 2001 DindinX <odin@mandrakesoft.com> 1.3-22mdk
- new snapshot

* Fri Mar 23 2001 Francis Galiegue <fg@mandrakesoft.com> 1.3-21mdk
- BuildRequires: doxygen

* Wed Mar 21 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3-20mdk
- protected call to packdrake to allow space in file names.
- compile with $RPM_OPT_FLAGS.

* Tue Mar 20 2001 DindinX <odin@mandrakesoft.com> 1.3-19mdk
- greatly reduce the memory usage.
- launching should also be faster.

* Mon Mar 19 2001 DindinX <odin@mandrakesoft.com> 1.3-18mdk
- snapshot
- bugfixes

* Fri Mar 16 2001 DindinX <odin@mandrakesoft.com> 1.3-17mdk
- snapshot

* Wed Mar 14 2001 DindinX <odin@mandrakesoft.com> 1.3-16mdk
- use compssUsers
- handle 'others' nodes

* Fri Mar  9 2001 DindinX <odin@mandrakesoft.com> 1.3-15mdk
- snapshot with the new rpminst

* Fri Mar  2 2001 DindinX <odin@mandrakesoft.com> 1.3-14mdk
- snapshot

* Wed Feb 28 2001 DindinX <odin@mandrakesoft.com> 1.3-13mdk
- snapshot
- added curl to requires/builrequires

* Tue Feb 27 2001 DindinX <odin@mandrakesoft.com> 1.3-12mdk
- snapshot

* Fri Feb 23 2001 DindinX <odin@mandrakesoft.com> 1.3-11mdk
- new snapshot (with media creation)
- better rpminst

* Tue Feb 20 2001 DindinX <odin@mandrakesoft.com> 1.3-10mdk
- new snapshot

* Tue Feb 13 2001 DindinX <odin@mandrakesoft.com> 1.3-9mdk
- use urpm to find available media

* Tue Feb 13 2001 DindinX <odin@mandrakesoft.com> 1.3-8mdk
- rpmdrake: accept .cz names with space in them
- rpminst: implementation of the --report flag

* Mon Feb 12 2001 DindinX <odin@mandrakesoft.com> 1.3-7mdk
- Added requires: gtk+
- check dependencies when removing packages

* Mon Feb 12 2001 DindinX <odin@mandrakesoft.com> 1.3-6mdk
- fix rpminst path in rpmdrake

* Fri Feb  9 2001 DindinX <odin@mandrakesoft.com> 1.3-5mdk
- pamification
- buugfixes release

* Thu Feb  1 2001 DindinX <odin@mandrakesoft.com> 1.3-4mdk
- very small bugfixes, well call this a daily snapshot :-)

* Tue Jan 30 2001 DindinX <odin@mandrakesoft.com> 1.3-3mdk
- bugfixes

* Fri Jan 26 2001 DindinX <odin@mandrakesoft.com> 1.3-2mdk
- added missing file rpmsrate.flat

* Fri Jan 26 2001 DindinX <odin@mandrakesoft.com> 1.3-1mdk
- first attempt to make a rpm for the new version

* Fri Oct 20 2000 DindinX <odin@mandrakesoft.com> 1.1-15mdk
- bugfixes

* Wed Oct 18 2000 DindinX <odin@mandrakesoft.com> 1.1-14mdk
- Fix 865 (show a dialog box and don't close rpmdrake)
- Fix italian po file (reported by Camille)
- Small sanity checks
- Fix 676
	
* Tue Oct 10 2000 DindinX <odin@mandrakesoft.com> 1.1-13mdk
- fix the relaunch button (was messed up because of PAM (fix 772)

* Thu Oct 05 2000 DindinX <odin@mandrakesoft.com> 1.1-12mdk
- use pam instead of kdesu (Thx to Renaud)

* Wed Oct 04 2000 DindinX <odin@mandrakesoft.com> 1.1-11mdk
- new icons from LN

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 1.1-10mdk
- fix the number of selected package after and unsuccessful
  (un)install. (fix 506)
- updated po

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 1.1-9mdk
- fix dependency checking during uninstall (thx to Jacques for reporting this)
- updated po

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 1.1-8mdk
- Add some more sanity checks to verify if a package has been
  correctly (un)installed.
- updated po.
    
* Tue Sep 26 2000 DindinX <odin@mandrakesoft.com> 1.1-7mdk
- Build a dependency list when removing packages and prompt the user to
  confirm before removing all these packages
- Finally find a way to quickly build the file list for every package.
- We can now see the file list or the package description by using the
  notebook tabs
- Change the layout a little
- Add a toggle to search in the file list
- Add a check: if gurpmi goes wrong, restart rpmdrake

* Wed Sep 20 2000 DindinX <odin@mandrakesoft.com> 1.1-6mdk
- Added an entry menu to relaunch rpmdrake (i.e. updates packages lists)
- updated po

* Fri Sep  8 2000 DindinX <odin@mandrakesoft.com> 1.1-5mdk
- Grey out the install/uninstall button when no packages are selected
- Add a copyright notice in the about box
- Enlarge the height of the package list
- Use a toolbar style for icons

* Fri Sep  1 2000 DindinX <odin@mandrakesoft.com> 1.1-4mdk
- Double-clicks (un)selects (check) packages
- The number/size of selected packages is now properly reset after
  their (un)installation.
- Added a call of kdesu
- Use of packdrake so that .cz files are handled correctly
            
* Thu Aug 31 2000 DindinX <odin@mandrakesoft.com> 1.1-3mdk
- Still on the way to improve the UI.
- Included some ideas from FB.

* Mon Aug 28 2000 DindinX <odin@mandrakesoft.com> 1.1-2mdk
- New release with an improved UI (many ideas from thursday meeting)
  please test and report

* Tue Aug 22 2000 DindinX <odin@mandrakesoft.com> 1.1-1mdk
- Brand new version (please test)

* Wed Aug  9 2000 Pixel <pixel@mandrakesoft.com> 1.0-5mdk
- remove icons (there are in mandrake_desk)

* Tue Aug  8 2000 Pixel <pixel@mandrakesoft.com> 1.0-4mdk
- macroization
- fix the ftp addmedia, fix the cdrom addmedia

* Fri May  5 2000 Pixel <pixel@mandrakesoft.com> 1.0-3mdk
- fix hdlist.cz2 instead of hdlist by default

* Fri May  5 2000 Pixel <pixel@mandrakesoft.com> 1.0-2mdk
- add menu entry

* Wed Apr  5 2000 Pixel <pixel@mandrakesoft.com> 1.0-1mdk
- new version. compliant with/needs new urpmi

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.9-8mdk
- new group

* Mon Jan 10 2000 Pixel <pixel@mandrakesoft.com>
- fix an ugly bug in search package in flat display

* Wed Dec 22 1999 Pixel <pixel@mandrakesoft.com>
- fixed some bugs (+ cleanup)
- now list all installed progs in `Installed packages'

* Tue Dec 21 1999 Pixel <pixel@mandrakesoft.com>
- call kdesu if user is not in group urpmi

* Mon Dec 20 1999 Pixel <pixel@mandrakesoft.com>
- bug fix

* Sun Dec 19 1999 Pixel <pixel@mandrakesoft.com>
- new version (much better)

* Sat Dec 18 1999 Pixel <pixel@mandrakesoft.com>
- new version (lifting)

* Thu Dec  9 1999 Pixel <pixel@linux-mandrake.com>
- new version

* Mon Nov 22 1999 Pixel <pixel@mandrakesoft.com>
- bug fix

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- new version

* Fri Nov 19 1999 Pixel <pixel@mandrakesoft.com>
- first version

